# Function ngMessagesIncludeDirective

- ngMessagesIncludeDirective($templateRequest, $compile): {
  require: string;
  restrict: string;
  link($scope: any, element: any, attrs: any): void;
  }

- #### Parameters

  - $templateRequest: any
  - $compile: any

  #### Returns {
  require: string;
  restrict: string;
  link($scope: any, element: any, attrs: any): void;
  }

  - ##### require: string

  - ##### restrict: string

  - ##### link:function

    - link($scope, element, attrs): void

    - #### Parameters

      - $scope: any
      - element: any
      - attrs: any

      #### Returns void

      - Defined in directive/messages/messages.js:220
  - Defined in directive/messages/messages.js:216

#####
Index

### Properties

$inject

##
Properties

### $inject

$inject: string[]

- Defined in directive/messages/messages.js:215